Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.util
Class DOMErrorHandlerWrapper

    java.lang.Object
      |
      +--weblogic.apache.xerces.util.DOMErrorHandlerWrapper

public class DOMErrorHandlerWrapper
extends java.lang.Object
implements XMLErrorHandler, org.apache.xerces.dom3.DOMErrorHandler

This class handles DOM errors .

See Also:
  `DOMErrorHandler`

Field Summary
`org.w3c.dom.Node` | `fCurrentNode`
`protected DOMErrorImpl` | `fDOMError`
`protected org.apache.xerces.dom3.DOMErrorHandler` | `fDomErrorHandler`
`protected java.io.PrintWriter` | `fOut`

Constructor Summary
`DOMErrorHandlerWrapper()`
`DOMErrorHandlerWrapper(org.apache.xerces.dom3.DOMErrorHandler domErrorHandler)`

Method Summary
`void` | `error(java.lang.String domain, java.lang.String key, XMLParseException exception)` Reports an error.
`void` | `fatalError(java.lang.String domain, java.lang.String key, XMLParseException exception)` Report a fatal error.
`org.apache.xerces.dom3.DOMErrorHandler` | `getErrorHandler()`
`boolean` | `handleError(org.apache.xerces.dom3.DOMError error)`
`void` | `setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)` Sets the DOM error handler.
`void` | `warning(java.lang.String domain, java.lang.String key, XMLParseException exception)` Reports a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fDomErrorHandler

    protected org.apache.xerces.dom3.DOMErrorHandler fDomErrorHandler

### fOut

    protected java.io.PrintWriter fOut

### fCurrentNode

    public org.w3c.dom.Node fCurrentNode

### fDOMError

    protected final DOMErrorImpl fDOMError

Constructor Detail

### DOMErrorHandlerWrapper

    public DOMErrorHandlerWrapper()

### DOMErrorHandlerWrapper

    public DOMErrorHandlerWrapper(org.apache.xerces.dom3.DOMErrorHandler domErrorHandler)

Method Detail

### setErrorHandler

    public void setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)

  Sets the DOM error handler.

### getErrorHandler

    public org.apache.xerces.dom3.DOMErrorHandler getErrorHandler()

### warning

    public void warning(java.lang.String domain,
                        java.lang.String key,
                        XMLParseException exception)
                 throws XNIException

  Reports a warning. Warnings are non-fatal and can be safely ignored by most applications.
  Specified by:
    warning in interface XMLErrorHandler

  Parameters:
    `domain` - The domain of the warning. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this warning.
    `key` - The warning key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    XNIException - Thrown to signal that the parser should stop parsing the document.

### error

    public void error(java.lang.String domain,
                      java.lang.String key,
                      XMLParseException exception)
               throws XNIException

  Reports an error. Errors are non-fatal and usually signify that the document is invalid with respect to its grammar(s).
  Specified by:
    error in interface XMLErrorHandler

  Parameters:
    `domain` - The domain of the error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this error.
    `key` - The error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    XNIException - Thrown to signal that the parser should stop parsing the document.

### fatalError

    public void fatalError(java.lang.String domain,
                           java.lang.String key,
                           XMLParseException exception)
                    throws XNIException

  Report a fatal error. Fatal errors usually occur when the document is not well-formed and signifies that the parser cannot continue normal operation.

  Note: The error handler should always throw an `XNIException` from this method. This exception can either be the same exception that is passed as a parameter to the method or a new XNI exception object. If the registered error handler fails to throw an exception, the continuing operation of the parser is undetermined.

  Specified by:
    fatalError in interface XMLErrorHandler

  Parameters:
    `domain` - The domain of the fatal error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this fatal error.
    `key` - The fatal error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    XNIException - Thrown to signal that the parser should stop parsing the document.

### handleError

    public boolean handleError(org.apache.xerces.dom3.DOMError error)

  Specified by:
    handleError in interface org.apache.xerces.dom3.DOMErrorHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD